---
title: From
slug: Web/HTTP/Headers/From
tags:
  - HTTP
  - Reference
  - header
---
<div>{{HTTPSidebar}}</div>

<p>The <code><strong>From</strong></code> request header contains an Internet email address for a human user who controls the requesting user agent.</p>

<p>If you are running a robotic user agent (e.g. a crawler), the <code>From</code> header should be sent, so you can be contacted if problems occur on servers, such as if the robot is sending excessive, unwanted, or invalid requests.</p>

<div class="warning">
<p>You shouldn't use the <code>From</code> header for access control or authentication.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">From: &lt;email&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;email&gt;</dt>
 <dd>A machine-usable email address.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre>From: webmaster@example.org</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7231", "From", "5.5.1")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.From")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Host")}}</li>
</ul>
